Bug 1230326 - clearlooks-phenix causes crashes in gnome shell
Summary: clearlooks-phenix causes crashes in gnome shell
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: clearlooks-phenix
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Marko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-10 16:28 UTC by udo
Modified: 2016-07-19 15:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 14:45:34 UTC


Attachments (Terms of Use)

Description udo 2015-06-10 16:28:08 UTC
Description of problem:
As I found out (see https://bugzilla.redhat.com/show_bug.cgi?id=1227391) the Fedora 22 version of clearlooks-phenix-gtk3-theme can crash gnome-shell.
Perhaps this is caused by the fact that v6 was intended for Gnome 3.14 and Fedora 22 uses 3.16.
So please update the theme so that it doesn't crash gnome-shell anymore, so that the title bar has the correct color when the window is selected, etc.
Gnome-shell needs to be fixed so that it doesn't crash on such occasions.

Version-Release number of selected component (if applicable):
clearlooks-phenix-gtk3-theme-6.0.3-1.fc22.noarch

How reproducible:
Upgrade to fedora 22 from 20.

Steps to Reproduce:
1. see https://bugzilla.redhat.com/show_bug.cgi?id=1227391
2.
3.

Actual results:
Crash due to theme.

Expected results:
Stability

Additional info:

Comment 1 Richard Marko 2015-08-25 08:36:19 UTC
Not much I can do here as upstream doesn't ship v7 (version for 3.16 yet).

If there are specific things that annoy you I can try to patch current packages to fix the issues and propose patches upstream.

Comment 2 udo 2015-08-25 13:02:26 UTC
Please bug teh upstream developer, as I tried.

The theme is hard to read and certain windows do not have clean, visible boundaries

Comment 4 Fedora End Of Life 2016-07-19 14:45:34 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 udo 2016-07-19 15:07:19 UTC
Is it so hard to release a Fedora that is compatible with itself?


Note You need to log in before you can comment on or make changes to this bug.